Bug 839099 - Gnucash aborts on startup.
Gnucash aborts on startup.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 19:12 EDT by Peter TB Brett
Modified: 2014-03-16 23:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:43:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter TB Brett 2012-07-10 19:12:26 EDT
Description of problem:

gnucash aborts on startup when installed with KDE live CD version of Fedora.

Version-Release number of selected component (if applicable):

gnucash-2.4.10-4.fc17.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Install Fedora 17 using Fedora 17 live CD, and install all updates.
2. Run `yum -y install gnucash`
3. Run `gnucash`
  
Actual results:

Gnucash "loading" window appears briefly, after which the following console output appears:

**
gnc.gui:ERROR:gnc-icons.c:74:gnc_add_stock_icon_pair: assertion failed: (pixbuf1 && pixbuf2)
Aborted (core dumped)

Expected results:

Gnucash starts up.

Additional info:
Comment 1 Bill Nottingham 2012-07-11 10:14:31 EDT
Can you get a full backtrace in gdb? Thanks.
Comment 2 Bill Nottingham 2012-07-11 11:02:26 EDT
I tried the procedure you mentioned, and it works for me.
Comment 3 Fedora End Of Life 2013-07-03 21:22:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 01:43:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.